plugin do JSF 2, Hibernate e Spring Sec
12/01/2012 11:05
0
Bom dia,

Descobri o Grails a uns 2 meses e depois de brincar um pouco com ele para entender melhor como funciona o framework, surgiu uma oportunidade agora de criar um projeto utilizando a ferramenta. Estamos usando o netBeans como IDE e os plugins que teremos que usar são os seguintes: JSF 2, Hibernate e Spring Sec. Consegui instalar instalar todos os plugins sem problemas menos o do JSF 2, mostra uma mensagem de erro de dependência de JAR quando tento instalar o plugin. Estou tentando fazer a instalação pela própria IDE, dei uma pesquisada no fórum e vi que ja tiveram outros plugins que tiveram esse mesmo problema, mas achei as respostas um pouco vagas, alguem sabe como resolver isso? E outra coisa estamos pensando em usar o primefaces 3.0 no projeto, mas não encontrei um plugin para isso, como poderia usar o primefaces no grails?
Tags: plugins


0
Oi Daniel, qual a versão do seu Grails?



0
Aliás, interessante este plugin do JSF2. No caso de vocês Daniel, o que motivou o uso? Já possuem base legada no JSF?

Dica: a instalação do plugin pela IDE ou pela linha de comando é a mesma coisa, pois tudo o que a IDE faz é executar o comando grails install-plugin jsf2.

O plugin do Hibernate você não precisa instalar, porque já vêm instalado por default em toda aplicação Grails.


0
Obrigado pela rápida resposta Kico, e antes de mais nada agradeço pelo seu bom trabalho aqui no GrailsBrasil e nas video aulas, pois foi através delas que eu tomei conhecimento do grails e vi o novo potencial que isso da ao Java. A versão do grails que usamos é a mesma que da sua video aula, mas estamos pensando em colocar a 2.0 agora que saiu a versão final. O motivo do JSF é o simples fato que ja temos experiencia com esse framework e a lib do primefaces possui os componentes que o cliente quer, ja trabalhamos com Icefaces e RichFaces, mas eu prefiro o Prime por considerar ele mais leve e mais simples de usar, como ja disse eu nunca desenvolvi um projeto com Grails, mas acho que nesse projeto mesmo tendo pouco conhecimento sobre o framework vale a pena a tentativa. Se tiver alguma sugestão de outros plugins que possam ser equivalentes ou melhores do que os que citei por favor se manifeste.
12/01/2012 11:50


0
Oi Daniel, valeu.

Neste caso, te dou uma dica de quem já viu o mesmo erro ocorrer varias vezes: enquanto estiver programando em Grails, procure programar "à moda Grails" sempre, e evite ao máximo possível "à moda JSF" no desenvolvimento, porque só assim você tira máximo proveito do framework.

Eu sei que é difícil, porque normalmente nós já temos uma bruta experiência num ambiente anterior e queremos reaproveitá-lo no novo, mas acredite em mim: tomar este caminho normalmente não compensa.

Eu pessoalmente uso pouquíssimos plugins: basicamente só o spring-security-core e o do jQquery (que no Grails 2.0 se torna dispensável). Com relação ao uso do plugin JSF2 no Grails 2.0, é importante você ser bastante cauteloso, pois não sei se vai funcionar bem na nova versão, que possui muitas mudanças estruturais importantes.



Ainda não faz parte da comunidade???

Para se registrar, clique aqui.


Aprenda Groovy e Grails com a Formação itexto!

Newsletter Semana Groovy

Assinar

Envie seu link!


Livro de Grails


/dev/All

Os melhores blogs de TI (e em português) em um único lugar!

 
Creative Commons
RSS Grails Brasil é mantido por itexto Consultoria.
Em caso de problemas contacte Henrique Lobo Weissmann (Kico) por e-mail: kico@itexto.com.br
Todo o conteúdo presente neste site adota o Creative Commons como licença padrão.
Ver: 4.14.0
itexto